package com.cm.plugin.pojo.dtos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: SensitiveWordsDTO
 * @Description: 敏感词
 * @Author: WenG
 * @Date: 2020-03-13 23:16
 * @Version: 1.0
 **/
@ApiModel
public class SensitiveWordsDTO {

    @ApiModelProperty(name = "sensitiveWordsId", value = "主键")
    private String sensitiveWordsId;
    @ApiModelProperty(name = "name", value = "名称")
    private String name;
    @ApiModelProperty(name = "message", value = "提示信息")
    private String message;

    public String getSensitiveWordsId() {
        return sensitiveWordsId == null ? "" : sensitiveWordsId;
    }

    public void setSensitiveWordsId(String sensitiveWordsId) {
        this.sensitiveWordsId = sensitiveWordsId;
    }
    public String getName() {
        return name == null ? "" : name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMessage() {
        return message == null ? "" : message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"sensitiveWordsId\":")
                .append("\"").append(sensitiveWordsId).append("\"");
        sb.append(",\"name\":")
                .append("\"").append(name).append("\"");
        sb.append(",\"message\":")
                .append("\"").append(message).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
